/*
 * $Workfile: panel.c $
 * $Revision: 1 $
 * $Author: Johnz $
 *
 * File Contents: This file contailns the panel include files and 
 *                external pointer to the hardware.
 *
 * Project:       Geode Xfree Frame buffer device driver.
 *
 */

/* 
 * NSC_LIC_COPYRIGHT
 *
 * Copyright (c) 2001-2003 National Semiconductor Corporation ("NSC").
 *
 * All Rights Reserved.  Unpublished rights reserved under the copyright 
 * laws of the United States of America, other countries and international 
 * treaties.  The software is provided without fee.  Permission to use, 
 * copy, store, modify, disclose, transmit or distribute the software is 
 * granted, provided that this copyright notice must appear in any copy, 
 * modification, disclosure, transmission or distribution of the software.
 *  
 * NSC retains all ownership, copyright, trade secret and proprietary rights 
 * in the software. 
 * THIS SOFTWARE HAS BEEN PROVIDED "AS IS," WITHOUT EXPRESS OR IMPLIED 
 * WARRANTY INCLUDING, WITHOUT LIMITATION, IMPLIED WARRANTIES OF 
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR USE AND NON-INFRINGEMENT.
 *
 * NSC does not assume or authorize any other person to assume for it any 
 * liability in connection with the Software. NSC SHALL NOT BE LIABLE TO 
 * COMPANY, OR ANY THIRD PARTY, IN CONTRACT, TORT, WARRANTY, STRICT 
 * LIABILITY, OR OTHERWISE FOR ANY DIRECT DAMAGES, OR FOR ANY SPECIAL, 
 * INDIRECT, INCIDENTAL OR CONSEQUENTIAL DAMAGES, INCLUDING BUT NOT 
 * LIMITED TO, BUSINESS INTERRUPTION, LOST PROFITS OR GOODWILL, OR LOSS 
 * OF INFORMATION EVEN IF NSC IS ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 *
 * END_NSC_LIC_COPYRIGHT */

#if defined(linux)			/* Linux */

#ifdef __KERNEL__

#include <linux/string.h>
#include <asm/io.h>

#elif !defined(XFree86Server)

#include <linux/fs.h>
#include <asm/mman.h>

#endif /* __KERNEL__ */
#elif defined(_WIN32)			/* windows */

#include <windows.h>

#endif

#include "panel.h"
#include "gfx_defs.h"
#include "nsc.h"

#define PLATFORM_DYNAMIC		1	/* runtime selection */
#define PLATFORM_DRACO			0	/* Draco + 9210 */
#define PLATFORM_CENTAURUS		1	/* Centaurus + 9211 RevA */
#define PLATFORM_DORADO			1	/* Dorado + 9211 RevC */
#define PLATFORM_GX2BASED		1	/* Redcloud */

unsigned char *XpressROMPtr;

#include "pnl_init.c"
#include "pnl_bios.c"
