/*
 * $Workfile: panel.h $
 * $Revision: 1 $
 *
 * File Contents: This file contains the Geode frame buffer panel 
 *                functions prototypes and it includes panel 
 *                definitions	header file.
 *
 * SubModule:     Geode FlatPanel library
 *
 */

/* 
 * NSC_LIC_COPYRIGHT
 *
 * Copyright (c) 2001-2003 National Semiconductor Corporation ("NSC").
 *
 * All Rights Reserved.  Unpublished rights reserved under the copyright 
 * laws of the United States of America, other countries and international 
 * treaties.  The software is provided without fee.  Permission to use, 
 * copy, store, modify, disclose, transmit or distribute the software is 
 * granted, provided that this copyright notice must appear in any copy, 
 * modification, disclosure, transmission or distribution of the software.
 *  
 * NSC retains all ownership, copyright, trade secret and proprietary rights 
 * in the software. 
 * THIS SOFTWARE HAS BEEN PROVIDED "AS IS," WITHOUT EXPRESS OR IMPLIED 
 * WARRANTY INCLUDING, WITHOUT LIMITATION, IMPLIED WARRANTIES OF 
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR USE AND NON-INFRINGEMENT.
 *
 * NSC does not assume or authorize any other person to assume for it any 
 * liability in connection with the Software. NSC SHALL NOT BE LIABLE TO 
 * COMPANY, OR ANY THIRD PARTY, IN CONTRACT, TORT, WARRANTY, STRICT 
 * LIABILITY, OR OTHERWISE FOR ANY DIRECT DAMAGES, OR FOR ANY SPECIAL, 
 * INDIRECT, INCIDENTAL OR CONSEQUENTIAL DAMAGES, INCLUDING BUT NOT 
 * LIMITED TO, BUSINESS INTERRUPTION, LOST PROFITS OR GOODWILL, OR LOSS 
 * OF INFORMATION EVEN IF NSC IS ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 *
 * END_NSC_LIC_COPYRIGHT */

/* COMPILER OPTION FOR C++ PROGRAMS */

#ifndef _panel_h
#define _panel_h

#include "pnl_defs.h"

#ifdef __cplusplus
extern "C"
{
#endif

/* CLOSE BRACKET FOR C++ COMPLILATION */

   void Pnl_SetPlatform(int platform);
   int Pnl_GetPlatform(void);
   int Pnl_IsPanelPresent(void);
   void Pnl_SetPanelPresent(int present);
   void Pnl_SetPanelChip(int panelChip);
   int Pnl_GetPanelChip(void);
   void Pnl_SetPanelParam(PPnl_PanelParams pParam);
   void Pnl_GetPanelParam(PPnl_PanelParams pParam);
   int Pnl_InitPanel(PPnl_PanelParams pParam);
   int Detect_Platform(void);
   void Pnl_SavePanelState(void);
   void Pnl_RestorePanelState(void);
   void Pnl_PowerUp(void);
   void Pnl_PowerDown(void);

   int Pnl_IsPanelEnabledInBIOS(void);
   void Pnl_GetPanelInfoFromBIOS(int *xres, int *yres, int *bpp, int *hz);
/* from durango */

#if defined(_WIN32) /* windows */
   extern void gfx_delay_milliseconds(unsigned long milliseconds);
   extern unsigned long gfx_ind(unsigned short port);
   extern void gfx_outd(unsigned short port, unsigned long data);
   extern unsigned char gfx_inb(unsigned short port);
   extern void gfx_outb(unsigned short port, unsigned char data);
#endif

#ifdef __cplusplus
}
#endif

#endif /* !_panel_h */

/* END OF FILE */
